Ask Your Question
0

Couldn't install the Security Lab group

asked 2019-02-27 16:12:04 -0600

vmercuri gravatar image

updated 2019-02-27 19:19:27 -0600

Hi. This is my attempt at installing the Security Lab group of packages on Fedora 29. Something went wrong, and even following the suggestion of adding the --skip-broken option to dnf didn't help:

┌─[~][]
└─▪ sudo dnf group install "Security Lab"
Last metadata expiration check: 0:00:11 ago on Wed 27 Feb 2019 10:55:38 PM CET.
No match for group package "nmap-frontend"
No match for group package "openscap-content-sectool"
Error: 
 Problem: conflicting requests
  - nothing provides libgdbm.so.4()(64bit) needed by ntop-5.0.1-15.fc28.x86_64
  - nothing provides libnetsnmp.so.30()(64bit) needed by ntop-5.0.1-15.fc28.x86_64
(try to add '--skip-broken' to skip uninstallable packages)
┌─[~][]
└─▪ sudo dnf group install "Security Lab" --skip-broken
Last metadata expiration check: 0:00:24 ago on Wed 27 Feb 2019 10:55:38 PM CET.
No match for group package "nmap-frontend"
No match for group package "openscap-content-sectool"
Dependencies resolved.

 Problem: conflicting requests
  - nothing provides libgdbm.so.4()(64bit) needed by ntop-5.0.1-15.fc28.x86_64
  - nothing provides libnetsnmp.so.30()(64bit) needed by ntop-5.0.1-15.fc28.x86_64
=======================================================================================
 Package                      Arch       Version                          Repository   Size
=======================================================================================
Installing group/module packages:
 afftools                     x86_64     3.7.16-8.fc29                    updates     159 k
 foremost                     x86_64     1.5.7-20.fc29                    updates      49 k
 htop                         x86_64     2.2.0-3.fc29                     updates     103 k

[...]

Installing Groups:
 Security Lab                                                                                   
Skipping packages with broken dependencies:
 ntop                         x86_64     5.0.1-15.fc28                    fedora       12 M

Transaction Summary
=======================================================================================
Install  280 Packages
Skip       1 Package

Total download size: 129 M
Installed size: 725 M
Is this ok [y/N]: y
Downloading Packages:
(1/280): afftools-3.7.16-8.fc29.x86_64.rpm                  131 kB/s | 159 kB     00:01    
(2/280): cabextract-1.9-1.fc29.x86_64.rpm                    40 kB/s |  48 kB     00:01    
(3/280): afflib-3.7.16-8.fc29.x86_64.rpm                    164 kB/s | 204 kB     00:01

[...]

 (279/280): xfce4-terminal-0.8.7.4-20.fc29.x86_64.rpm        3.9 MB/s | 577 kB     00:00    
 (280/280): yum-3.4.3-518.fc29.noarch.rpm                    5.6 MB/s | 1.2 MB     00:00    
 -----------------------------------------------------------------------------------------
    Total                                                       8.6 MB/s | 129 MB     00:14     
    Running transaction check
    Transaction check succeeded.
    Running transaction test
    The downloaded packages were saved in cache until the next successful transaction.
    You can remove cached packages by executing 'dnf clean packages'.
    Error: Transaction check error:
      file /usr/bin/debuginfo-install from install of yum-utils-1.1.31-518.fc29.noarch conflicts with file from package dnf-utils-4.0.4-1.fc29.noarch
      file /usr/bin/find-repos-of-install from install of yum-utils-1.1.31-518.fc29.noarch conflicts with file from package dnf-utils-4.0.4-1.fc29.noarch
      file /usr/bin/needs-restarting from install of yum-utils-1.1.31-518.fc29.noarch conflicts with file from package dnf-utils-4.0.4-1.fc29.noarch
      file /usr/bin/package-cleanup from install of yum-utils-1.1.31-518.fc29.noarch conflicts with file from package dnf-utils-4.0.4-1.fc29.noarch
      file /usr/bin/repo-graph from install of yum-utils-1.1.31-518.fc29.noarch conflicts with file from package dnf-utils-4.0.4-1.fc29.noarch
      file /usr/bin/repoclosure from install of yum-utils-1.1.31-518.fc29.noarch conflicts ...
(more)
edit retag flag offensive close merge delete

Comments

1

please post the entire output of the install command. (your pastebin output will be deleted, this question not, and it does not make sense without that output)

rdtcustomercare gravatar imagerdtcustomercare ( 2019-02-27 16:23:25 -0600 )edit

Done. I've tried to remove most of the unnecessary lines. Thanks.

vmercuri gravatar imagevmercuri ( 2019-02-27 19:21:21 -0600 )edit

1 Answer

Sort by » oldest newest most voted
1

answered 2019-02-27 16:32:45 -0600

updated 2019-02-27 16:35:39 -0600

Problem: conflicting requests - nothing provides libgdbm.so.4()(64bit) needed by ntop-5.0.1-15.fc28.x86_64 - nothing provides libnetsnmp.so.30()(64bit) needed by ntop-5.0.1-15.fc28.x86_64

The maintainer of ntop made a mistake here and pushed a not-fc29 package to stable.

The fastest way to get it fixed is to open a bugreport at bugzilla.redhat.com against ntop.

I already checked, if the needed dependencies are in testing, but they are not. And i now know why:

The FC29 package that fixes this dependencie did not build and noone cared. As you can see, your installing the F28 version of that package, on a FC29 system. You can see this here:

https://koji.fedoraproject.org/koji/p...

I'm afraid, you will not get a working package out of the fedora repo.

so,pls open a bugreport to kick some ass ;)

edit flag offensive delete link more

Comments

Thank you very much :)

vmercuri gravatar imagevmercuri ( 2019-02-27 17:57:23 -0600 )edit

Wow that has already been reported in December: https://bugzilla.redhat.com/show_bug....

vmercuri gravatar imagevmercuri ( 2019-02-28 07:33:48 -0600 )edit

I managed to install the Security Lab group by first removing dnf-utils and then by running: sudo dnf group install "Security Lab" --exclude=ntop. As you can see from the errors displayed after my failed attempt to install that group, there's also a conflict between yum-utils and dnf-utils. So when installing Security Lab there are actually two conflicts: the one regarding ntop and the other one with dnf-utils.

vmercuri gravatar imagevmercuri ( 2019-03-01 18:17:23 -0600 )edit

yum-* will be removed in F30 entirely.. no more collisions there ;)

rdtcustomercare gravatar imagerdtcustomercare ( 2019-03-03 17:04:32 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2019-02-27 16:12:04 -0600

Seen: 258 times

Last updated: Feb 27 '19